<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__wcm__wps__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_wcm_wps_config_t</compoundname>
    <includes local="no">cy_wcm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__wcm__wps__config__t_1ad45eecaffb10e893f240bf42c05c453b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__wcm__enums_1ga522893594393679bacaaaa77d81b26f8">cy_wcm_wps_mode_t</ref></type>
        <definition>cy_wcm_wps_mode_t cy_wcm_wps_config_t::mode</definition>
        <argsstring />
        <name>mode</name>
        <briefdescription>
<para>WPS mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="359" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="359" />
      </memberdef>
      <memberdef id="structcy__wcm__wps__config__t_1ac9878359549a01538c7a9bcda83abde7" kind="variable" mutable="no" prot="public" static="no">
        <type>char *</type>
        <definition>char* cy_wcm_wps_config_t::password</definition>
        <argsstring />
        <name>password</name>
        <briefdescription>
<para>Used only for CY_WCM_WPS_PIN mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="360" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="360" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure used to pass WPS configuration parameters to <ref kindref="member" refid="group__group__wcm__functions_1ga97e7212b4d3392a310682ff02f0d8d51">cy_wcm_wps_enrollee</ref>. </para>    </briefdescription>
    <detaileddescription>
<para>Password is mandatory only for CY_WCM_WPS_PIN mode and not used when mode is CY_WCM_WPS_PBC. </para>    </detaileddescription>
    <location bodyend="361" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" bodystart="357" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/wcm/include/cy_wcm.h" line="358" />
    <listofallmembers>
      <member prot="public" refid="structcy__wcm__wps__config__t_1ad45eecaffb10e893f240bf42c05c453b" virt="non-virtual"><scope>cy_wcm_wps_config_t</scope><name>mode</name></member>
      <member prot="public" refid="structcy__wcm__wps__config__t_1ac9878359549a01538c7a9bcda83abde7" virt="non-virtual"><scope>cy_wcm_wps_config_t</scope><name>password</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>